#!/bin/bash

# pre processing
# $otb_path/otbcli_OpticalCalibration -in $inputdata -out $data/melbourne_ms_toa.tif uint16 -milli 1 -ram $my_ram

# $otb_path/otbcli_OrthoRectification -io.in $data/melbourne_ms_toa.tif -io.out $data/melbourne_ms_toa_ortho.tif uint16 -map utm -map.utm.zone 55 -outputs.spacingx 2. -outputs.spacingy -2. -interpolator bco -opt.ram $my_ram -elev dem -elev.dem.path /home/grizonnetm/remote/teradisk2/Images/SRTM4/ -elev.dem.geoid /home/grizonnetm/projets/otb/src/OTB-Data/Input/DEM/egm96.grd

#$otb_path/otbcli_ExtractROI -in ${exercice_path}/melbourne_ms_toa_ortho.tif -out $data/melbourne_ms_toa_ortho_extract_large.tif uint16 -ram $my_ram -startx 2269 -starty 1541 -sizex 4096 -sizey 4096

#$otb_path/otbcli_ExtractROI -in $data/melbourne_ms_toa_ortho.tif -out $data/melbourne_ms_toa_ortho_extract_small.tif uint16 -ram $my_ram -startx 2269 -starty 1541 -sizex 2048 -sizey 2048

exercice_path=$1

otbcli_ComputeImagesStatistics -il ${exercice_path}/melbourne_ms_toa_ortho_extract_small.tif -out solution/melbourne_ms_toa_ortho_extract_small_stats.xml

otbcli_TrainSVMImagesClassifier -io.il ${exercice_path}/melbourne_ms_toa_ortho_extract_small.tif -io.imstat solution/melbourne_ms_toa_ortho_extract_small_stats.xml -io.vd ${exercice_path}/training.shp -io.out solution/melbourne_ms_toa_ortho_extract_small_model.svm

otbcli_ImageSVMClassifier -in ${exercice_path}/melbourne_ms_toa_ortho_extract_small.tif -svm solution/melbourne_ms_toa_ortho_extract_small_model.svm -imstat solution/melbourne_ms_toa_ortho_extract_small_stats.xml -out solution/melbourne_ms_toa_ortho_extract_small_classification_5classes.tif uint8

otbcli_ColorMapping -in solution/melbourne_ms_toa_ortho_extract_small_classification_5classes.tif -out solution/melbourne_ms_toa_ortho_extract_small_classification_5classes_color_mapping.png uint8 -method custom -method.custom.lut solution/ColorTable.txt



