#!/bin/bash

exercice_path=$1

otbcli_StereoRectificationGridGenerator  -io.inleft ${exercice_path}/tristereo_melbourne_3_small_ref.tif -io.inright ${exercice_path}/tristereo_melbourne_1_small_ref.tif  -io.outleft solution/31_grid_tristereo_3_small_ref.tif -io.outright solution/31_grid_tristereo_1_small_ref.tif -epi.elevation avg -epi.elevation.avg.value 20.45

otbcli_GridBasedImageResampling  -io.in ${exercice_path}/tristereo_melbourne_3_small_ref.tif -io.out solution/31_epi_tristereo_3_small_ref.tif -grid.in solution/31_grid_tristereo_3_small_ref.tif -out.sizex 1237 -out.sizey 1237

otbcli_GridBasedImageResampling  -io.in ${exercice_path}/tristereo_melbourne_1_small_ref.tif -io.out solution/31_epi_tristereo_1_small_ref.tif -grid.in solution/31_grid_tristereo_1_small_ref.tif -out.sizex 1237 -out.sizey 1237

#anaglyphe
otbcli_ConcatenateImages -il solution/31_epi_tristereo_3_small_ref.tif solution/31_epi_tristereo_1_small_ref.tif solution/31_epi_tristereo_1_small_ref.tif -out solution/31_anaglyph_3_1.tif

otbcli_BlockMatching -io.inleft solution/31_epi_tristereo_3_small_ref.tif  -io.inright solution/31_epi_tristereo_1_small_ref.tif  -io.out solution/31_disparity_map_3_1.tif -bm.minhd -40 -bm.maxhd 40 -bm.minvd 0 -bm.maxvd 0 -ram 2048 -mask.nodata 0 -mask.variancet 100 -io.outmetric 1 -bm.metric ncc

otbcli_BandMath -il solution/31_disparity_map_3_1.tif  -out solution/31_filtered_disparity_map_3_1.tif -exp "if(im1b3>0.9,im1b1,-1000)"

#extractROI for vdisparity and hdisparity
otbcli_BandMath -il solution/31_disparity_map_3_1.tif -out solution/31_threshold_hdisparity_map_3_1.tif uint8 -exp "if(im1b3>0.9,255,0)"
otbcli_ExtractROI -in solution/31_disparity_map_3_1.tif -out solution/31_threshold_vdisparity_map_3_1.tif -cl Channel2
otbcli_ConcatenateImages -il solution/31_threshold_hdisparity_map_3_1.tif solution/31_threshold_vdisparity_map_3_1.tif -out solution/31_threshold_hvdisparity_map_3_1.tif

#disparity to elevation map
otbcli_DisparityMapToElevationMap -io.in solution/31_disparity_map_3_1.tif -io.left ${exercice_path}/tristereo_melbourne_3_small_ref.tif -io.right ${exercice_path}/tristereo_melbourne_1_small_ref.tif -io.lgrid solution/31_grid_tristereo_3_small_ref.tif -io.rgrid solution/31_grid_tristereo_1_small_ref.tif -hmin 0 -hmax 80 -elev average -step 1 -elev.average.value 20.45 -io.out solution/31_disparity_map_to_elevation_3_1.tif
#-io.mask solution/31_threshold_hvdisparity_map_3_1.tif

